<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package filmic
 */

$blog_sidebar = get_theme_mod( 'blog_sidebar', 'right' );
get_header(); ?>

	<div class="container">
		<div class="row">
			<section id="primary" class="content-area col-lg-9">
				<main id="main" class="site-main">

				<?php
				if ( have_posts() ) : ?>

					<?php
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						/*
						* Include the Post-Format-specific template for the content.
						* If you want to override this in a child theme, then include a file
						* called content-___.php (where ___ is the Post Format name) and that will be used instead.
						*/
						get_template_part( 'template-parts/content', get_post_format() );

					endwhile;

					filmic_paging();

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>

				</main><!-- #main -->
			</section><!-- #primary -->

			<?php
				// Sidebar.
				filmic_get_sidebar( 'sidebar-blog', $blog_sidebar );
			?>
		</div><!-- .row -->
	</div><!-- .container -->

<?php
get_footer();
